#/usr/bin/env python

import codecs
import os
import sys

from setuptools import setup, find_packages


if 'publish' in sys.argv:
    os.system('python setup.py sdist upload')
    sys.exit()

read = lambda filepath: codecs.open(filepath, 'r', 'utf-8').read()


# Dynamically calculate the version based on tube.VERSION.
version = __import__('tube').get_version()

setup(
    name='django-tube',
    version=version,
    description='YouTube video management application for Django projects',
    long_description=read(os.path.join(os.path.dirname(__file__), 'README.rst')),
    keywords = 'django app youtube video',
    author='Guilherme Gondim',
    author_email='semente+django-tube@taurinus.org',
    maintainer='Guilherme Gondim',
    maintainer_email='semente+django-tube@taurinus.org',
    license='GNU Lesser General Public License (LGPL), Version 3',
    url='https://bitbucket.org/semente/django-tube/',
    download_url='https://bitbucket.org/semente/django-tube/downloads',
    packages=find_packages(),
    zip_safe=False,
    include_package_data=True,
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules',
    ],
    #install_requires=[],
)
